package gov.cms.grouper.snf.model;

import com.mmm.his.cer.foundation.model.DiagnosisCode;

// MUST REMAIN PUBLIC

public class SnfDiagnosisCode extends DiagnosisCode {

  /**
   *
   */
  private static final long serialVersionUID = -7734002494618627303L;

  private final String clinicalCategory;
  private final String speechCategory;
  private final String ntaCategory;

  public SnfDiagnosisCode(String value) {
    super(value);
    this.clinicalCategory = null;
    this.speechCategory = null;
    this.ntaCategory = null;
  }
  public SnfDiagnosisCode(String value, String clinicalCategory, String speechCategory,
      String ntaCategory) {
    super(value);
    this.clinicalCategory = clinicalCategory;
    this.speechCategory = speechCategory;
    this.ntaCategory = ntaCategory;
  }

  public static long getSerialversionuid() {
    return serialVersionUID;
  }

  public String getClinicalCategory() {
    return clinicalCategory;
  }

  public String getSpeechCategory() {
    return speechCategory;
  }

  public String getNtaCategory() {
    return ntaCategory;
  }

}
